
#include <avr/io.h>
#include <inttypes.h>
#include <pgmspace.h>
#include <avr/sleep.h>

#include <buskoppler.h>
#include <display.h>


#include <lcd.h>

/*******************************************************/
/*                                                     */
/* Definition des Fonts lcd_fnt1:                      */
/*                                                     */
/*******************************************************/

const graphik_typ PROGMEM lcd_fnt1_0x01 = {
  0x08,
  0x08,
  {0x7C,  0x82,  0xAA,  0x8A,  0xAA,  0x82,  0x7C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x02 = {
  0x08,
  0x08,
  {0x7C,  0xFE,  0xD6,  0xF2,  0xD6,  0xFE,  0x7C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x03 = {
  0x07,
  0x08,
  {0x78,  0xFC,  0x7E,  0x7E,  0xFC,  0x78,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x04 = {
  0x08,
  0x08,
  {0x10,  0x38,  0x7C,  0xFE,  0x7C,  0x38,  0x10,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x15 = {
  0x02,
  0x08,
  {0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x16 = {
  0x05,
  0x08,
  {0x06,  0x06,  0x06,  0x06,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x17 = {
  0x06,
  0x08,
  {0x29,  0x45,  0xFF,  0x45,  0x29,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x18 = {
  0x06,
  0x08,
  {0x20,  0x40,  0xFE,  0x40,  0x20,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x19 = {
  0x06,
  0x08,
  {0x08,  0x04,  0xFE,  0x04,  0x08,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x1A = {
  0x06,
  0x08,
  {0x10,  0x10,  0x54,  0x38,  0x10,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x1B = {
  0x06,
  0x08,
  {0x10,  0x38,  0x54,  0x10,  0x10,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x1D = {
  0x08,
  0x08,
  {0x10,  0x38,  0x54,  0x10,  0x54,  0x38,  0x10,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x1E = {
  0x05,
  0x08,
  {0x20,  0x60,  0xE0,  0x60,  0x20}
};

const graphik_typ PROGMEM lcd_fnt1_0x1F = {
  0x05,
  0x08,
  {0x04,  0x06,  0x07,  0x06,  0x04}
};

const graphik_typ PROGMEM lcd_fnt1_0x20 = {
  0x05,
  0x08,
  {0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x21 = {
  0x04,
  0x08,
  {0xF0,  0xFA,  0xF0,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x22 = {
  0x04,
  0x08,
  {0xC0,  0x00,  0xC0,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x23 = {
  0x06,
  0x08,
  {0x44,  0xFE,  0x44,  0xFE,  0x44,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x24 = {
  0x06,
  0x08,
  {0x24,  0x54,  0xFE,  0x54,  0x48,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x25 = {
  0x05,
  0x08,
  {0x86,  0x1C,  0x70,  0xC2,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x26 = {
  0x06,
  0x08,
  {0x6E,  0x9A,  0x9A,  0x64,  0x0A,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x27 = {
  0x03,
  0x08,
  {0x40,  0x80,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x28 = {
  0x04,
  0x08,
  {0x38,  0x44,  0x82,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x29 = {
  0x04,
  0x08,
  {0x82,  0x44,  0x38,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x2A = {
  0x04,
  0x08,
  {0x28,  0x10,  0x28,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x2B = {
  0x04,
  0x08,
  {0x10,  0x38,  0x10,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x2C = {
  0x03,
  0x08,
  {0x01,  0x06,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x2D = {
  0x04,
  0x08,
  {0x10,  0x10,  0x10,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x2E = {
  0x02,
  0x08,
  {0x02,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x2F = {
  0x06,
  0x08,
  {0x06,  0x0C,  0x10,  0x60,  0xC0,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x30 = {
  0x05,
  0x08,
  {0x7C,  0x92,  0x8A,  0x7C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x31 = {
  0x05,
  0x08,
  {0x20,  0x42,  0xFE,  0x02,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x32 = {
  0x05,
  0x08,
  {0x46,  0x8A,  0x92,  0x62,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x33 = {
  0x05,
  0x08,
  {0x82,  0x92,  0x92,  0x6C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x34 = {
  0x05,
  0x08,
  {0xF0,  0x10,  0xFE,  0x10,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x35 = {
  0x05,
  0x08,
  {0xF2,  0x92,  0x92,  0x9C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x36 = {
  0x05,
  0x08,
  {0x7C,  0x92,  0x92,  0x0C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x37 = {
  0x05,
  0x08,
  {0x80,  0x86,  0x98,  0xE0,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x38 = {
  0x05,
  0x08,
  {0x6C,  0x92,  0x92,  0x6C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x39 = {
  0x05,
  0x08,
  {0x60,  0x92,  0x92,  0x7C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x3A = {
  0x02,
  0x08,
  {0x28,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x3B = {
  0x03,
  0x08,
  {0x01,  0x16,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x3C = {
  0x04,
  0x08,
  {0x08,  0x14,  0x22,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x3D = {
  0x04,
  0x08,
  {0x28,  0x28,  0x28,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x3E = {
  0x04,
  0x08,
  {0x22,  0x14,  0x08,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x3F = {
  0x04,
  0x08,
  {0xB8,  0xAA,  0xE8,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x40 = {
  0x06,
  0x08,
  {0x7C,  0x82,  0x9A,  0x8A,  0x78,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x41 = {
  0x05,
  0x08,
  {0x7E,  0x90,  0x90,  0x7E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x42 = {
  0x05,
  0x08,
  {0xFE,  0x92,  0x92,  0x6C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x43 = {
  0x05,
  0x08,
  {0x7C,  0x82,  0x82,  0x44,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x44 = {
  0x05,
  0x08,
  {0xFE,  0x82,  0x82,  0x7C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x45 = {
  0x05,
  0x08,
  {0xFE,  0x92,  0x92,  0x82,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x46 = {
  0x05,
  0x08,
  {0xFE,  0x90,  0x90,  0x80,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x47 = {
  0x05,
  0x08,
  {0x7C,  0x82,  0x92,  0x5C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x48 = {
  0x05,
  0x08,
  {0xFE,  0x10,  0x10,  0xFE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x49 = {
  0x04,
  0x08,
  {0x82,  0xFE,  0x82,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x4A = {
  0x04,
  0x08,
  {0x84,  0x82,  0xFC,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x4B = {
  0x05,
  0x08,
  {0xFE,  0x18,  0x2C,  0xC6,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x4C = {
  0x04,
  0x08,
  {0xFE,  0x02,  0x02,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x4D = {
  0x06,
  0x08,
  {0xFE,  0x40,  0x20,  0x40,  0xFE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x4E = {
  0x06,
  0x08,
  {0xFE,  0x60,  0x10,  0x0C,  0xFE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x4F = {
  0x05,
  0x08,
  {0x7C,  0x82,  0x82,  0x7C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x50 = {
  0x05,
  0x08,
  {0xFE,  0x90,  0x90,  0x60,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x51 = {
  0x06,
  0x08,
  {0x7C,  0x82,  0x8A,  0x84,  0x7A,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x52 = {
  0x06,
  0x08,
  {0xFE,  0x90,  0x98,  0x94,  0x62,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x53 = {
  0x06,
  0x08,
  {0x64,  0x92,  0x92,  0x92,  0x4C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x54 = {
  0x06,
  0x08,
  {0x80,  0x80,  0xFE,  0x80,  0x80,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x55 = {
  0x06,
  0x08,
  {0xFC,  0x02,  0x02,  0x02,  0xFC,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x56 = {
  0x06,
  0x08,
  {0xE0,  0x18,  0x06,  0x18,  0xE0,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x57 = {
  0x06,
  0x08,
  {0xFE,  0x04,  0x18,  0x04,  0xFE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x58 = {
  0x06,
  0x08,
  {0xC6,  0x28,  0x10,  0x28,  0xC6,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x59 = {
  0x06,
  0x08,
  {0xC0,  0x20,  0x1E,  0x20,  0xC0,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x5A = {
  0x06,
  0x08,
  {0x86,  0x8A,  0x92,  0xA2,  0xC2,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x5B = {
  0x03,
  0x08,
  {0xFE,  0x82,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x5C = {
  0x05,
  0x08,
  {0xC0,  0x30,  0x18,  0x06,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x5D = {
  0x03,
  0x08,
  {0x82,  0xFE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x5E = {
  0x04,
  0x08,
  {0x40,  0x80,  0x40,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x5F = {
  0x05,
  0x08,
  {0x02,  0x02,  0x02,  0x02,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x60 = {
  0x03,
  0x08,
  {0x80,  0x40,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x61 = {
  0x04,
  0x08,
  {0x2E,  0x2A,  0x3E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x62 = {
  0x04,
  0x08,
  {0xFE,  0x22,  0x1C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x63 = {
  0x04,
  0x08,
  {0x1C,  0x22,  0x22,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x64 = {
  0x04,
  0x08,
  {0x1C,  0x22,  0xFE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x65 = {
  0x04,
  0x08,
  {0x3E,  0x2A,  0x3A,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x66 = {
  0x04,
  0x08,
  {0x02,  0x7F,  0x82,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x67 = {
  0x04,
  0x08,
  {0x3D,  0x25,  0x3E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x68 = {
  0x04,
  0x08,
  {0xFE,  0x20,  0x1E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x69 = {
  0x02,
  0x08,
  {0xBE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x6A = {
  0x03,
  0x08,
  {0x01,  0xBE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x6B = {
  0x05,
  0x08,
  {0xFE,  0x08,  0x14,  0x22,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x6C = {
  0x02,
  0x08,
  {0xFE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x6D = {
  0x06,
  0x08,
  {0x3E,  0x10,  0x3E,  0x20,  0x1E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x6E = {
  0x05,
  0x08,
  {0x3E,  0x10,  0x20,  0x1E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x6F = {
  0x05,
  0x08,
  {0x1C,  0x22,  0x22,  0x1C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x70 = {
  0x05,
  0x08,
  {0x3F,  0x24,  0x24,  0x18,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x71 = {
  0x05,
  0x09,
  {0x18,  0x24,  0x24,  0x3F,  0x00,
   0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x72 = {
  0x03,
  0x08,
  {0x3E,  0x20,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x73 = {
  0x04,
  0x08,
  {0x3A,  0x2A,  0x2E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x74 = {
  0x04,
  0x08,
  {0x20,  0xFE,  0x22,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x75 = {
  0x04,
  0x08,
  {0x3E,  0x02,  0x3E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x76 = {
  0x06,
  0x08,
  {0x30,  0x0C,  0x02,  0x0C,  0x30,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x77 = {
  0x06,
  0x08,
  {0x3C,  0x02,  0x0C,  0x02,  0x3C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x78 = {
  0x04,
  0x08,
  {0x36,  0x08,  0x36,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x79 = {
  0x04,
  0x08,
  {0x3D,  0x05,  0x3E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x7A = {
  0x04,
  0x08,
  {0x26,  0x2A,  0x32,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x81 = {
  0x04,
  0x08,
  {0xBE,  0x02,  0xBE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x84 = {
  0x05,
  0x08,
  {0xAE,  0x2A,  0x2A,  0xBE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x8E = {
  0x05,
  0x08,
  {0xBE,  0x50,  0x50,  0xBE,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x94 = {
  0x05,
  0x08,
  {0x9C,  0x22,  0x22,  0x9C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x99 = {
  0x05,
  0x08,
  {0xBC,  0x42,  0x42,  0xBC,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x9A = {
  0x06,
  0x08,
  {0xBC,  0x02,  0x02,  0x02,  0xBC,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0x9B = {
  0x05,
  0x08,
  {0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xC3 = {
  0x06,
  0x08,
  {0x7C,  0x82,  0x83,  0x82,  0x44,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xC7 = {
  0x05,
  0x08,
  {0x1C,  0xA2,  0xAA,  0x2C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xC9 = {
  0x04,
  0x08,
  {0x22,  0xBE,  0x22,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xD3 = {
  0x06,
  0x08,
  {0x64,  0x92,  0x93,  0x92,  0x4C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xE1 = {
  0x05,
  0x08,
  {0xFF,  0x80,  0x92,  0x6C,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xE3 = {
  0x04,
  0x08,
  {0x3E,  0x23,  0x22,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xE7 = {
  0x04,
  0x08,
  {0xBD,  0xA5,  0xBF,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xE9 = {
  0x02,
  0x08,
  {0x3E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_0xF3 = {
  0x04,
  0x08,
  {0x3A,  0x2B,  0x2E,  0x00}
};

const graphik_typ PROGMEM lcd_fnt1_dummy = {
  0x00,
  0x00,
  {0x00}
};

const graphik_ptr PROGMEM lcd_fnt1[] = {
  &lcd_fnt1_dummy, &lcd_fnt1_0x01,  &lcd_fnt1_0x02,  &lcd_fnt1_0x03,
  &lcd_fnt1_0x04,  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_0x15,  &lcd_fnt1_0x16,  &lcd_fnt1_0x17,
  &lcd_fnt1_0x18,  &lcd_fnt1_0x19,  &lcd_fnt1_0x1A,  &lcd_fnt1_0x1B,
  &lcd_fnt1_dummy, &lcd_fnt1_0x1D,  &lcd_fnt1_0x1E,  &lcd_fnt1_0x1F,
  &lcd_fnt1_0x20,  &lcd_fnt1_0x21,  &lcd_fnt1_0x22,  &lcd_fnt1_0x23,
  &lcd_fnt1_0x24,  &lcd_fnt1_0x25,  &lcd_fnt1_0x26,  &lcd_fnt1_0x27,
  &lcd_fnt1_0x28,  &lcd_fnt1_0x29,  &lcd_fnt1_0x2A,  &lcd_fnt1_0x2B,
  &lcd_fnt1_0x2C,  &lcd_fnt1_0x2D,  &lcd_fnt1_0x2E,  &lcd_fnt1_0x2F,
  &lcd_fnt1_0x30,  &lcd_fnt1_0x31,  &lcd_fnt1_0x32,  &lcd_fnt1_0x33,
  &lcd_fnt1_0x34,  &lcd_fnt1_0x35,  &lcd_fnt1_0x36,  &lcd_fnt1_0x37,
  &lcd_fnt1_0x38,  &lcd_fnt1_0x39,  &lcd_fnt1_0x3A,  &lcd_fnt1_0x3B,
  &lcd_fnt1_0x3C,  &lcd_fnt1_0x3D,  &lcd_fnt1_0x3E,  &lcd_fnt1_0x3F,
  &lcd_fnt1_0x40,  &lcd_fnt1_0x41,  &lcd_fnt1_0x42,  &lcd_fnt1_0x43,
  &lcd_fnt1_0x44,  &lcd_fnt1_0x45,  &lcd_fnt1_0x46,  &lcd_fnt1_0x47,
  &lcd_fnt1_0x48,  &lcd_fnt1_0x49,  &lcd_fnt1_0x4A,  &lcd_fnt1_0x4B,
  &lcd_fnt1_0x4C,  &lcd_fnt1_0x4D,  &lcd_fnt1_0x4E,  &lcd_fnt1_0x4F,
  &lcd_fnt1_0x50,  &lcd_fnt1_0x51,  &lcd_fnt1_0x52,  &lcd_fnt1_0x53,
  &lcd_fnt1_0x54,  &lcd_fnt1_0x55,  &lcd_fnt1_0x56,  &lcd_fnt1_0x57,
  &lcd_fnt1_0x58,  &lcd_fnt1_0x59,  &lcd_fnt1_0x5A,  &lcd_fnt1_0x5B,
  &lcd_fnt1_0x5C,  &lcd_fnt1_0x5D,  &lcd_fnt1_0x5E,  &lcd_fnt1_0x5F,
  &lcd_fnt1_0x60,  &lcd_fnt1_0x61,  &lcd_fnt1_0x62,  &lcd_fnt1_0x63,
  &lcd_fnt1_0x64,  &lcd_fnt1_0x65,  &lcd_fnt1_0x66,  &lcd_fnt1_0x67,
  &lcd_fnt1_0x68,  &lcd_fnt1_0x69,  &lcd_fnt1_0x6A,  &lcd_fnt1_0x6B,
  &lcd_fnt1_0x6C,  &lcd_fnt1_0x6D,  &lcd_fnt1_0x6E,  &lcd_fnt1_0x6F,
  &lcd_fnt1_0x70,  &lcd_fnt1_0x71,  &lcd_fnt1_0x72,  &lcd_fnt1_0x73,
  &lcd_fnt1_0x74,  &lcd_fnt1_0x75,  &lcd_fnt1_0x76,  &lcd_fnt1_0x77,
  &lcd_fnt1_0x78,  &lcd_fnt1_0x79,  &lcd_fnt1_0x7A,  &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_0x81,  &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_0x84,  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_0x8E,  &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_0x94,  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_0x99,  &lcd_fnt1_0x9A,  &lcd_fnt1_0x9B,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_0xC3,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_0xC7,
  &lcd_fnt1_dummy, &lcd_fnt1_0xC9,  &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_0xD3,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_0xE1,  &lcd_fnt1_dummy, &lcd_fnt1_0xE3,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_0xE7,
  &lcd_fnt1_dummy, &lcd_fnt1_0xE9,  &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_0xF3,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy,
  &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy, &lcd_fnt1_dummy
};

