
#include <avr/io.h>
#include <inttypes.h>
#include <pgmspace.h>
#include <avr/sleep.h>

#include <buskoppler.h>
#include <display.h>


#include <lcd.h>


/*******************************************************/
/*                                                     */
/* Definition des Fonts lcd_fnt2:                      */
/*                                                     */
/*******************************************************/

const graphik_typ PROGMEM lcd_fnt2_0x20 = {
  0x0A,
  0x10,
  {0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x21 = {
  0x06,
  0x10,
  {0xFE,  0xFF,  0xFF,  0xFE,  0x00,  0x00,
  0x00,  0xCC,  0xCC,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x22 = {
  0x07,
  0x10,
  {0xF0,  0xF0,  0x00,  0xF0,  0xF0,  0x00,  0x00,
  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x27 = {
  0x05,
  0x10,
  {0x38,  0xF8,  0xE0,  0x00,  0x00,
  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x28 = {
  0x07,
  0x10,
  {0x0F,  0x3F,  0x78,  0xE0,  0xC0,  0x00,  0x00,
  0xE0,  0xF8,  0x3C,  0x0E,  0x06,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x29 = {
  0x07,
  0x10,
  {0xC0,  0xE0,  0x70,  0x3F,  0x0F,  0x00,  0x00,
  0x0C,  0x1C,  0x38,  0xF0,  0xC0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x2A = {
  0x07,
  0x10,
  {0x05,  0x03,  0x07,  0x03,  0x05,  0x00,  0x00,
  0x40,  0x80,  0xC0,  0x80,  0x40,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x2B = {
  0x08,
  0x10,
  {0x03,  0x03,  0x0F,  0x0F,  0x03,  0x03,  0x00,  0x00,
  0x00,  0x00,  0xC0,  0xC0,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x2C = {
  0x05,
  0x10,
  {0x00,  0x00,  0x00,  0x00,  0x00,
  0x03,  0x3F,  0x3E,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x2D = {
  0x08,
  0x10,
  {0x03,  0x03,  0x03,  0x03,  0x03,  0x03,  0x00,  0x00,
  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x2E = {
  0x04,
  0x10,
  {0x00,  0x00,  0x00,  0x00,
  0x0C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x2F = {
  0x0A,
  0x10,
  {0x00,  0x00,  0x01,  0x07,  0x1F,  0x7C,  0xF0,  0xC0,  0x00,  0x00,
  0x1C,  0x7C,  0xF0,  0xC0,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x30 = {
  0x0A,
  0x10,
  {0x3F,  0x7F,  0xE6,  0xC3,  0xC1,  0xE0,  0x7F,  0x3F,  0x00,  0x00,
  0xF0,  0xF8,  0x1C,  0x0C,  0x8C,  0xDC,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x31 = {
  0x08,
  0x10,
  {0x0C,  0x1C,  0x38,  0xFF,  0xFF,  0x00,  0x00,  0x00,
  0x00,  0x00,  0x0C,  0xFC,  0xFC,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x32 = {
  0x0A,
  0x10,
  {0x38,  0x78,  0xE0,  0xC0,  0xC1,  0xE7,  0x7F,  0x3C,  0x00,  0x00,
  0x1C,  0x3C,  0x7C,  0xEC,  0xCC,  0x8C,  0x0C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x33 = {
  0x0A,
  0x10,
  {0x30,  0x70,  0xE3,  0xC3,  0xC3,  0xE7,  0x7F,  0x3C,  0x00,  0x00,
  0x30,  0x38,  0x1C,  0x0C,  0x0C,  0x9C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x34 = {
  0x0A,
  0x10,
  {0xFF,  0xFF,  0x03,  0x03,  0xFF,  0xFF,  0x03,  0x03,  0x00,  0x00,
  0x00,  0x00,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x35 = {
  0x0A,
  0x10,
  {0xFF,  0xFF,  0xC3,  0xC3,  0xC3,  0xC3,  0xC3,  0xC1,  0x00,  0x00,
  0x18,  0x1C,  0x0C,  0x0C,  0x0C,  0x9C,  0xFC,  0xF8,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x36 = {
  0x0A,
  0x10,
  {0x3F,  0x7F,  0xE3,  0xC3,  0xC3,  0xE3,  0x61,  0x00,  0x00,  0x00,
  0xF0,  0xF8,  0x9C,  0x0C,  0x0C,  0x9C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x37 = {
  0x0A,
  0x10,
  {0xC0,  0xC0,  0xC3,  0xC3,  0xC7,  0xDF,  0xFB,  0xE0,  0x00,  0x00,
  0x00,  0x0C,  0x3C,  0xF0,  0xC0,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x38 = {
  0x0A,
  0x10,
  {0x38,  0x7C,  0xEF,  0xC7,  0xC7,  0xEF,  0x7C,  0x38,  0x00,  0x00,
  0x70,  0xF8,  0xDC,  0x8C,  0x8C,  0xDC,  0xF8,  0x70,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x39 = {
  0x0A,
  0x10,
  {0x3C,  0x7E,  0xE7,  0xC3,  0xC3,  0xE7,  0x7F,  0x3F,  0x00,  0x00,
  0x18,  0x1C,  0x0C,  0x0C,  0x0C,  0x1C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x3A = {
  0x04,
  0x10,
  {0x07,  0x07,  0x00,  0x00,
  0x1C,  0x1C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x3B = {
  0x05,
  0x10,
  {0x00,  0x03,  0x03,  0x00,  0x00,
  0x03,  0x3F,  0x3E,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x3C = {
  0x07,
  0x10,
  {0x01,  0x03,  0x07,  0x0E,  0x0C,  0x00,  0x00,
  0x80,  0xC0,  0xE0,  0x70,  0x30,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x3D = {
  0x08,
  0x10,
  {0x0C,  0x0C,  0x0C,  0x0C,  0x0C,  0x0C,  0x00,  0x00,
  0xC0,  0xC0,  0xC0,  0xC0,  0xC0,  0xC0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x3E = {
  0x07,
  0x10,
  {0x0C,  0x0E,  0x07,  0x03,  0x01,  0x00,  0x00,
  0x30,  0x70,  0xE0,  0xC0,  0x80,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x3F = {
  0x08,
  0x10,
  {0x63,  0xC7,  0xCE,  0xCC,  0xFC,  0x78,  0x00,  0x00,
  0xC0,  0xE0,  0x6C,  0x6C,  0xE0,  0xC0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x41 = {
  0x09,
  0x10,
  {0x1F,  0x7F,  0xF3,  0xC3,  0xF3,  0x7F,  0x1F,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x42 = {
  0x09,
  0x10,
  {0xFF,  0xFF,  0xC3,  0xC3,  0xE7,  0x7C,  0x38,  0x00,  0x00,
  0xFC,  0xFC,  0x0C,  0x0C,  0x9C,  0xF8,  0x70,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x43 = {
  0x09,
  0x10,
  {0x3F,  0x7F,  0xF0,  0xE0,  0xC0,  0xE0,  0x60,  0x00,  0x00,
  0xF0,  0xF8,  0x3C,  0x1C,  0x0C,  0x1C,  0x18,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x44 = {
  0x09,
  0x10,
  {0xFF,  0xFF,  0xC0,  0xC0,  0xE0,  0x7F,  0x3F,  0x00,  0x00,
  0xFC,  0xFC,  0x0C,  0x0C,  0x1C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x45 = {
  0x09,
  0x10,
  {0xFF,  0xFF,  0xC3,  0xC3,  0xC3,  0xC0,  0xC0,  0x00,  0x00,
  0xFC,  0xFC,  0x0C,  0x0C,  0x0C,  0x0C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x46 = {
  0x09,
  0x10,
  {0xFF,  0xFF,  0xC3,  0xC3,  0xC3,  0xC0,  0xC0,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x47 = {
  0x09,
  0x10,
  {0x3F,  0x7F,  0xE0,  0xC3,  0xE3,  0x73,  0x33,  0x00,  0x00,
  0xFC,  0xFC,  0x0C,  0x0C,  0x1C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x48 = {
  0x09,
  0x10,
  {0xFF,  0xFF,  0x03,  0x03,  0x03,  0xFF,  0xFF,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x49 = {
  0x08,
  0x10,
  {0xC0,  0xC0,  0xFF,  0xFF,  0xC0,  0xC0,  0x00,  0x00,
  0x0C,  0x0C,  0xFC,  0xFC,  0x0C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x4A = {
  0x08,
  0x10,
  {0xC0,  0xC0,  0xC0,  0xC0,  0xFF,  0xFF,  0x00,  0x00,
  0x18,  0x1C,  0x0C,  0x0C,  0xFC,  0xF8,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x4B = {
  0x0A,
  0x10,
  {0xFF,  0xFF,  0x03,  0x07,  0x0F,  0x3C,  0xF0,  0xC0,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x80,  0xC0,  0xF0,  0x3C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x4C = {
  0x09,
  0x10,
  {0xFF,  0xFF,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,
  0xFC,  0xFC,  0x0C,  0x0C,  0x0C,  0x0C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x4D = {
  0x0C,
  0x10,
  {0xFF,  0xFF,  0x70,  0x38,  0x0C,  0x0C,  0x38,  0x70,  0xFF,  0xFF,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x4E = {
  0x0A,
  0x10,
  {0xFF,  0xFF,  0x3C,  0x0F,  0x03,  0x00,  0xFF,  0xFF,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0xC0,  0xF0,  0xFC,  0xFC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x4F = {
  0x0A,
  0x10,
  {0x3F,  0x7F,  0xE0,  0xC0,  0xC0,  0xE0,  0x7F,  0x3F,  0x00,  0x00,
  0xF0,  0xF8,  0x1C,  0x0C,  0x0C,  0x1C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x50 = {
  0x0A,
  0x10,
  {0xFF,  0xFF,  0xC3,  0xC3,  0xC3,  0xE7,  0x7E,  0x3C,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x51 = {
  0x0A,
  0x10,
  {0x3F,  0x7F,  0xE0,  0xC0,  0xC0,  0xE0,  0x7F,  0x3F,  0x00,  0x00,
  0xF0,  0xF8,  0x1C,  0x0C,  0x6C,  0x38,  0xFC,  0xEC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x52 = {
  0x0A,
  0x10,
  {0xFF,  0xFF,  0xC3,  0xC3,  0xC3,  0xE7,  0x7E,  0x3C,  0x00,  0x00,
  0xFC,  0xFC,  0xC0,  0xE0,  0x70,  0x38,  0x1C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x53 = {
  0x0A,
  0x10,
  {0x3C,  0x7E,  0xE7,  0xC3,  0xC3,  0xE3,  0x71,  0x30,  0x00,  0x00,
  0x30,  0x38,  0x1C,  0x0C,  0x0C,  0x9C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x54 = {
  0x0A,
  0x10,
  {0xC0,  0xC0,  0xC0,  0xFF,  0xFF,  0xC0,  0xC0,  0xC0,  0x00,  0x00,
  0x00,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x55 = {
  0x0A,
  0x10,
  {0xFF,  0xFF,  0x00,  0x00,  0x00,  0x00,  0xFF,  0xFF,  0x00,  0x00,
  0xF0,  0xF8,  0x1C,  0x0C,  0x0C,  0x1C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x56 = {
  0x0A,
  0x10,
  {0xF0,  0xFE,  0x1F,  0x03,  0x03,  0x1F,  0xFE,  0xF0,  0x00,  0x00,
  0x00,  0x00,  0xC0,  0xFC,  0xFC,  0xC0,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x57 = {
  0x0C,
  0x10,
  {0xFF,  0xFF,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0xFF,  0xFF,  0x00,  0x00,
  0xF0,  0xF8,  0x0C,  0x1C,  0xF8,  0xF8,  0x1C,  0x0C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x58 = {
  0x0B,
  0x10,
  {0xE0,  0xF8,  0x3C,  0x0F,  0x03,  0x0F,  0x3C,  0xF8,  0xE0,  0x00,  0x00,
  0x1C,  0x7C,  0xF0,  0xC0,  0x00,  0xC0,  0xF0,  0x7C,  0x1C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x59 = {
  0x0B,
  0x10,
  {0xC0,  0xF0,  0x7C,  0x1F,  0x07,  0x07,  0x1F,  0x7C,  0xF0,  0xC0,  0x00,
  0x00,  0x00,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x5A = {
  0x0C,
  0x10,
  {0xC0,  0xC0,  0xC3,  0xC3,  0xC7,  0xCF,  0xDF,  0xFB,  0xF0,  0xE0,  0x00,  0x00,
  0x1C,  0x3C,  0x7C,  0xEC,  0xCC,  0x8C,  0x0C,  0x0C,  0x0C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x61 = {
  0x0A,
  0x10,
  {0x06,  0x0E,  0x0C,  0x0C,  0x0C,  0x0E,  0x0F,  0x07,  0x00,  0x00,
  0x78,  0xFC,  0xCC,  0xCC,  0xCC,  0xCC,  0xFC,  0xF8,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x62 = {
  0x0A,
  0x10,
  {0xFF,  0xFF,  0x0C,  0x0C,  0x0C,  0x0E,  0x07,  0x03,  0x00,  0x00,
  0xFC,  0xFC,  0x0C,  0x0C,  0x0C,  0x1C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x63 = {
  0x0A,
  0x10,
  {0x03,  0x07,  0x0E,  0x0C,  0x0C,  0x0C,  0x07,  0x03,  0x00,  0x00,
  0xF0,  0xF8,  0x1C,  0x0C,  0x0C,  0x1C,  0x38,  0x30,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x64 = {
  0x0A,
  0x10,
  {0x03,  0x07,  0x0E,  0x0C,  0x0C,  0x0C,  0xFF,  0xFF,  0x00,  0x00,
  0xF0,  0xF8,  0x1C,  0x0C,  0x0C,  0x0C,  0xFC,  0xFC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x65 = {
  0x0A,
  0x10,
  {0x03,  0x07,  0x0E,  0x0C,  0x0C,  0x0C,  0x0F,  0x07,  0x00,  0x00,
  0xF0,  0xF8,  0xDC,  0xCC,  0xCC,  0xCC,  0xDC,  0x98,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x66 = {
  0x09,
  0x10,
  {0x00,  0x00,  0x7F,  0xFF,  0xE0,  0xF0,  0x70,  0x00,  0x00,
  0x0C,  0x0C,  0xFF,  0xFF,  0x0C,  0x0C,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x67 = {
  0x09,
  0x10,
  {0x07,  0x0F,  0x0C,  0x0C,  0x0C,  0x0F,  0x07,  0x00,  0x00,
  0xE6,  0xF7,  0x33,  0x33,  0x33,  0xFF,  0xFE,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x68 = {
  0x09,
  0x10,
  {0xFF,  0xFF,  0x0C,  0x0C,  0x0E,  0x07,  0x03,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x69 = {
  0x06,
  0x10,
  {0x0C,  0xCF,  0xCF,  0x0C,  0x00,  0x00,
  0x0C,  0xFC,  0xFC,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x6A = {
  0x07,
  0x10,
  {0x00,  0x00,  0x00,  0xCF,  0xCF,  0x00,  0x00,
  0x18,  0x1C,  0x0C,  0xFC,  0xF8,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x6B = {
  0x09,
  0x10,
  {0xFF,  0xFF,  0x07,  0x0F,  0x1C,  0x38,  0x30,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0xC0,  0xF0,  0x3C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x6C = {
  0x06,
  0x10,
  {0xFF,  0xFF,  0x00,  0x00,  0x00,  0x00,
  0xFC,  0xFC,  0x0C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x6D = {
  0x0C,
  0x10,
  {0x0F,  0x0F,  0x06,  0x06,  0x07,  0x07,  0x06,  0x06,  0x07,  0x03,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x6E = {
  0x09,
  0x10,
  {0x0F,  0x0F,  0x06,  0x06,  0x07,  0x07,  0x03,  0x00,  0x00,
  0xFC,  0xFC,  0x00,  0x00,  0x00,  0xFC,  0xFC,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x6F = {
  0x0A,
  0x10,
  {0x03,  0x07,  0x0E,  0x0C,  0x0C,  0x0E,  0x07,  0x03,  0x00,  0x00,
  0xF0,  0xF8,  0x1C,  0x0C,  0x0C,  0x1C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x70 = {
  0x0A,
  0x10,
  {0x0F,  0x0F,  0x0C,  0x0C,  0x0C,  0x0E,  0x07,  0x03,  0x00,  0x00,
  0xFF,  0xFF,  0x0C,  0x0C,  0x0C,  0x1C,  0xF8,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x71 = {
  0x0A,
  0x10,
  {0x03,  0x07,  0x0E,  0x0C,  0x0C,  0x0E,  0x0F,  0x0F,  0x00,  0x00,
  0xF0,  0xF8,  0x1C,  0x0C,  0x0C,  0x18,  0xFF,  0xFF,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x72 = {
  0x08,
  0x10,
  {0x0F,  0x0F,  0x03,  0x07,  0x0E,  0x0C,  0x00,  0x00,
  0xFC,  0xFC,  0x80,  0x00,  0x00,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x73 = {
  0x08,
  0x10,
  {0x07,  0x0F,  0x0C,  0x0C,  0x0E,  0x06,  0x00,  0x00,
  0x98,  0xDC,  0xCC,  0xCC,  0xFC,  0x78,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x74 = {
  0x08,
  0x10,
  {0x0C,  0x0C,  0xFF,  0xFF,  0x0C,  0x0C,  0x00,  0x00,
  0x00,  0x00,  0xFC,  0xFC,  0x0C,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x75 = {
  0x08,
  0x10,
  {0x0F,  0x0F,  0x00,  0x00,  0x0F,  0x0F,  0x00,  0x00,
  0xF8,  0xFC,  0x1C,  0x1C,  0xFC,  0xF8,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x76 = {
  0x0A,
  0x10,
  {0x0E,  0x0F,  0x01,  0x00,  0x00,  0x01,  0x0F,  0x0E,  0x00,  0x00,
  0x00,  0xC0,  0xF0,  0x7C,  0x7C,  0xF0,  0xC0,  0x00,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x77 = {
  0x0A,
  0x10,
  {0x0F,  0x0F,  0x00,  0x00,  0x00,  0x00,  0x0F,  0x0F,  0x00,  0x00,
  0xF0,  0xFC,  0x1C,  0x38,  0x38,  0x1C,  0xFC,  0xF0,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x78 = {
  0x0B,
  0x10,
  {0x0C,  0x0E,  0x07,  0x03,  0x01,  0x03,  0x07,  0x0E,  0x0C,  0x00,  0x00,
  0x0C,  0x1C,  0x38,  0xF0,  0xE0,  0xF0,  0x38,  0x1C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x79 = {
  0x0A,
  0x10,
  {0x0F,  0x0F,  0x00,  0x00,  0x00,  0x00,  0x0F,  0x0F,  0x00,  0x00,
  0xC6,  0xE7,  0x73,  0x33,  0x33,  0x37,  0xFF,  0xFE,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_0x7A = {
  0x09,
  0x10,
  {0x0C,  0x0C,  0x0C,  0x0D,  0x0F,  0x0E,  0x0C,  0x00,  0x00,
  0x0C,  0x1C,  0x7C,  0xEC,  0x8C,  0x0C,  0x0C,  0x00,  0x00}
};

const graphik_typ PROGMEM lcd_fnt2_dumm = {
  0x00,
  0x00,
  {0x00
};}

const graphik_ptr PROGMEM lcd_fnt2[] = {
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_0x20,  &lcd_fnt2_0x21,  &lcd_fnt2_0x22,  &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_0x27,
  &lcd_fnt2_0x28,  &lcd_fnt2_0x29,  &lcd_fnt2_0x2A,  &lcd_fnt2_0x2B,
  &lcd_fnt2_0x2C,  &lcd_fnt2_0x2D,  &lcd_fnt2_0x2E,  &lcd_fnt2_0x2F,
  &lcd_fnt2_0x30,  &lcd_fnt2_0x31,  &lcd_fnt2_0x32,  &lcd_fnt2_0x33,
  &lcd_fnt2_0x34,  &lcd_fnt2_0x35,  &lcd_fnt2_0x36,  &lcd_fnt2_0x37,
  &lcd_fnt2_0x38,  &lcd_fnt2_0x39,  &lcd_fnt2_0x3A,  &lcd_fnt2_0x3B,
  &lcd_fnt2_0x3C,  &lcd_fnt2_0x3D,  &lcd_fnt2_0x3E,  &lcd_fnt2_0x3F,
  &lcd_fnt2_dummy, &lcd_fnt2_0x41,  &lcd_fnt2_0x42,  &lcd_fnt2_0x43,
  &lcd_fnt2_0x44,  &lcd_fnt2_0x45,  &lcd_fnt2_0x46,  &lcd_fnt2_0x47,
  &lcd_fnt2_0x48,  &lcd_fnt2_0x49,  &lcd_fnt2_0x4A,  &lcd_fnt2_0x4B,
  &lcd_fnt2_0x4C,  &lcd_fnt2_0x4D,  &lcd_fnt2_0x4E,  &lcd_fnt2_0x4F,
  &lcd_fnt2_0x50,  &lcd_fnt2_0x51,  &lcd_fnt2_0x52,  &lcd_fnt2_0x53,
  &lcd_fnt2_0x54,  &lcd_fnt2_0x55,  &lcd_fnt2_0x56,  &lcd_fnt2_0x57,
  &lcd_fnt2_0x58,  &lcd_fnt2_0x59,  &lcd_fnt2_0x5A,  &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_0x61,  &lcd_fnt2_0x62,  &lcd_fnt2_0x63,
  &lcd_fnt2_0x64,  &lcd_fnt2_0x65,  &lcd_fnt2_0x66,  &lcd_fnt2_0x67,
  &lcd_fnt2_0x68,  &lcd_fnt2_0x69,  &lcd_fnt2_0x6A,  &lcd_fnt2_0x6B,
  &lcd_fnt2_0x6C,  &lcd_fnt2_0x6D,  &lcd_fnt2_0x6E,  &lcd_fnt2_0x6F,
  &lcd_fnt2_0x70,  &lcd_fnt2_0x71,  &lcd_fnt2_0x72,  &lcd_fnt2_0x73,
  &lcd_fnt2_0x74,  &lcd_fnt2_0x75,  &lcd_fnt2_0x76,  &lcd_fnt2_0x77,
  &lcd_fnt2_0x78,  &lcd_fnt2_0x79,  &lcd_fnt2_0x7A,  &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy,
  &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy, &lcd_fnt2_dummy

};

