
#include <avr/io.h>
#include <inttypes.h>
#include <pgmspace.h>
#include <avr/sleep.h>

#include <can.h>
#include <mcp2515.h>

#include <scheduler.h>


/************************************************************************/
/*
/* Taster.c
/*
/************************************************************************/


/************************************************************************/
/*
/*
/*
/************************************************************************/

void init_taster(const module_parm_typ *my_module){
  module_var_typ *var_ptr = (module_var_typ*)pgm_read_word(&(my_module->var));
  var_ptr->timer      = 1;
  var_ptr->state      = 0;
  var_ptr->last_state = 0;
// Pin auf Input schalten
// Pin-Pullup einschalten
}


/************************************************************************/
/*
/*
/*
/************************************************************************/

void timer_taster(const module_parm_typ *my_module){
  module_var_typ *var_ptr = (module_var_typ*)pgm_read_word(&my_module->var);
  uint8_t hw_nr        = pgm_read_byte(&(my_module->hw_nr));
//  uint8_t state      = my_module->var.state;
//  uint8_t last_state = my_module->var.last_state;
  volatile uint8_t pressed = 0;
  uint8_t key_typ = key_up_diff;	//0
  uint8_t my_typ = pgm_read_byte(&(my_module->typ));

  var_ptr->timer = 1;

  if (my_typ == taster_down_typ){
    key_typ = key_down_diff;
  }
  if (my_typ == taster_switch_typ){
    key_typ = key_switch_diff;
  }

  if (hw_nr < 6){
    if ((PINA & _BV(hw_nr+2)) == 0) pressed++;
  }
  else{
    if ((PINC & _BV(hw_nr)) == 0) pressed++;
  }

  if (pressed){
    if (var_ptr->state < 255){
      (var_ptr->state)++;
    }
    if (var_ptr->state == 3){
      send_byte_msg(my_module, key_pressed + key_typ);
    }
    if (var_ptr->state == pgm_read_byte(&(my_module->parm1))){
      send_byte_msg(my_module, key_long_pressed + key_typ);
    }
/*
    if (var_ptr->state == pgm_read_byte(&(my_module->parm2))){
      send_byte_msg(my_module, key_prog_pressed + key_typ);
    }
*/
  }

  else{
    var_ptr->state = 0;
    if (var_ptr->last_state >= 3){
      if (var_ptr->last_state >= pgm_read_byte(&(my_module->parm1))){
        send_byte_msg(my_module, key_long_released + key_typ);
      }
      else{
        send_byte_msg(my_module, key_released + key_typ);
      }
    }
  }
  var_ptr->last_state = var_ptr->state;
}


/************************************************************************/
/*
/*
/*
/************************************************************************/

void msg_taster(const module_parm_typ *my_module, can_msg_typ *my_msg){
  // nothing to do for taster
}


// End of file


